diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 5670690..7ac8477 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -1880,8 +1880,8 @@ of the symbol being parsed. The original list read:
 
 \defplist{with}{postWith}
 <<postvars>>=
-;(eval-when (eval load)
-; (setf (get '|with| '|postTran|) |postWith|))
+(eval-when (eval load)
+ (setf (get '|with| '|postTran|) '|postWith|))
 
 @
 
@@ -1889,33 +1889,17 @@ of the symbol being parsed. The original list read:
 \calls{postWith}{postTran}
 \usesdollar{postWith}{insidePostCategoryIfTrue}
 <<defun postWith>>=
-(DEFUN |postWith| (#:G167795)
-  (PROG (|$insidePostCategoryIfTrue| |a| |op| |b|)
-    (DECLARE (SPECIAL |$insidePostCategoryIfTrue|))
-    (RETURN
-      (PROGN
-        (SPADLET |a| (CADR #:G167795))
-        (SPADLET |$insidePostCategoryIfTrue| 'T)
-        (SPADLET |a| (|postTran| |a|))
-        (COND
-          ((AND (PAIRP |a|) (PROGN (SPADLET |op| (QCAR |a|)) 'T)
-                (MEMBER |op| '(SIGNATURE ATTRIBUTE IF)))
-           (CONS 'CATEGORY (CONS |a| NIL)))
-          ((AND (PAIRP |a|) (EQ (QCAR |a|) 'PROGN)
-                (PROGN (SPADLET |b| (QCDR |a|)) 'T))
-           (CONS 'CATEGORY |b|))
-          ('T |a|))))))
-;(defun |postWith| (arg)
-; (let (|$insidePostCategoryIfTrue| a)
-; (declare (special |$insidePostCategoryIfTrue|))
-;  (setq |$insidePostCategoryIfTrue| t)
-;  (setq a (|postTran| (second arg)))
-;  (cond
-;   ((and (pairp a) (member (qcar a) '(signature attribute if)))
-;     (list 'category a))
-;   ((and (pairp a) (eq (qcar a) 'progn))
-;     (cons 'category (qcdr a)))
-;   (t a))))
+(defun |postWith| (arg)
+ (let (|$insidePostCategoryIfTrue| a)
+ (declare (special |$insidePostCategoryIfTrue|))
+  (setq |$insidePostCategoryIfTrue| t)
+  (setq a (|postTran| (second arg)))
+  (cond
+   ((and (pairp a) (member (qcar a) '(signature attribute if)))
+     (list 'category a))
+   ((and (pairp a) (eq (qcar a) 'progn))
+     (cons 'category (qcdr a)))
+   (t a))))
 
 @
 
diff --git a/changelog b/changelog
index cb3e526..787cb87 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20101024 tpd src/axiom-website/patches.html 20101024.02.tpd.patch
+20101024 tpd src/interp/vmlisp.lisp treeshake compiler
+20101024 tpd books/bookvol9 treeshake compiler
 20101024 tpd src/axiom-website/patches.html 20101024.01.tpd.patch
 20101024 tpd src/axiom-website/documentation.html add literate thinking quote
 20101023 tpd src/axiom-website/patches.html 20101023.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9fc64a1..351910f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3244,5 +3244,7 @@ src/doc/axiom.sty add defplist<br/>
 books/bookvolbib add Michael Wester [Wes99]<br/>
 <a href="patches/20101024.01.tpd.patch">20101024.01.tpd.patch</a>
 src/axiom-website/documentation.html add literate thinking quote<br/>
+<a href="patches/20101024.02.tpd.patch">20101024.02.tpd.patch</a>
+books/bookvol9 treeshake compiler<br/>
  </body>
 </html>
diff --git a/src/interp/vmlisp.lisp.pamphlet b/src/interp/vmlisp.lisp.pamphlet
index 42c520b..5204e4c 100644
--- a/src/interp/vmlisp.lisp.pamphlet
+++ b/src/interp/vmlisp.lisp.pamphlet
@@ -6835,7 +6835,7 @@ o  there is some code at the end of SPECEVAL BOOT that puts "up"
 )) (MAKEPROP (CAR X) '|parseTran| (CADR X)))
 
 (REPEAT (IN X '(
-  (|with| |postWith|)
+;  (|with| |postWith|)
   (|Scripts| |postScripts|)
   (/ |postSlash|)
   (|construct| |postConstruct|)
